<?php global $cyarb_opt;
/**
 * 	The template for displaying the footer
 * 	@package cyarb
 */

	// Footer Widget
	if(!is_active_sidebar( 'cyarb_footer_one' ) && !is_active_sidebar( 'cyarb_footer_two' ) && !is_active_sidebar( 'cyarb_footer_three' ) && !is_active_sidebar( 'cyarb_footer_four' )  && !is_active_sidebar( 'cyarb_footer_five' ) ) {
		$footer_padding  = 'footer-top-padding';
	} else { 
		$footer_padding = '';
	} 

	$footer_col = isset( $cyarb_opt['footer_col']) ? $cyarb_opt['footer_col'] : 'column-4';

	$theme_default_opt = isset( $cyarb_opt['theme_default_opt']) ? $cyarb_opt['theme_default_opt'] : false;

	if( $footer_col == 'column-2'):
		$col_cls = 'col-lg-6 col-sm-6';
	elseif( $footer_col == 'column-4'):
		$col_cls = 'col-lg-3 col-sm-6';
	else:
		$col_cls = 'col-lg-4 col-sm-6';
	endif;

	$footer_shape = isset( $cyarb_opt['cyarb_footer_image_shape']) ? $cyarb_opt['cyarb_footer_image_shape'] : 1;
	$banner_bg     = isset( $cyarb_opt['cyarb_footer_bg']['url']) ? $cyarb_opt['cyarb_footer_bg']['url'] : '';
	$footer_shape1 = isset( $cyarb_opt['cyarb_footer_shape1']['url']) ? $cyarb_opt['cyarb_footer_shape1']['url'] : '';
	$footer_shape2 = isset( $cyarb_opt['cyarb_footer_shape2']['url']) ? $cyarb_opt['cyarb_footer_shape2']['url'] : '';

?>
<footer class="footer-area <?php echo esc_attr( $footer_padding ); ?>" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
	<div class="container">
		<div class="row justify-content-center">

			<?php if ( is_active_sidebar( 'cyarb_footer_one' ) ) { ?>
				<div class="<?php echo esc_attr( $col_cls ); ?>">
					<?php dynamic_sidebar('cyarb_footer_one'); ?>
				</div>
			<?php } ?>

			<?php if ( is_active_sidebar( 'cyarb_footer_two' ) ) { ?>
				<div class="<?php echo esc_attr( $col_cls ); ?>">
					<?php dynamic_sidebar('cyarb_footer_two'); ?>
				</div>
			<?php } ?>

			<?php if ( is_active_sidebar( 'cyarb_footer_three' ) ) { ?>
				<div class="<?php echo esc_attr( $col_cls ); ?>">
					<?php dynamic_sidebar('cyarb_footer_three'); ?>
				</div>
			<?php } ?>

			<?php if ( is_active_sidebar( 'cyarb_footer_four' ) ) { ?>
				<div class="<?php echo esc_attr( $col_cls ); ?>">
					<?php dynamic_sidebar('cyarb_footer_four'); ?>
				</div>
			<?php } ?>

		</div>
		<div class="copyright-area <?php echo esc_attr( $footer_padding ); ?>">
			<?php if(isset( $cyarb_opt['cyarb_footer_copyright_text'] ) && $cyarb_opt['cyarb_footer_copyright_text'] !='') { ?>
				<p><?php echo wp_kses_post( $cyarb_opt['cyarb_footer_copyright_text'] ) ; ?> </p>
			<?php } else { ?>
				<p> <?php echo esc_html__( '©Copyright 2021 All Rights Reserved.','cyarb' ) ; ?> </p>
			<?php } ?>
		</div>
	</div>
	<?php if( $footer_shape == 1 && $footer_shape1 != '' ) : ?>
		<div class="shape4"><img src="<?php echo esc_url( $footer_shape1 ); ?>" alt="<?php the_title_attribute(); ?>"></div>
	<?php endif; ?>
</footer>